PUT
/api/v1/storage/bucket_perms/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/storage/bucket_perms/?bucket_name=<BUCKET_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "users": [ { "id": 12345, "my_account_id": null, "user_name": "admin@e2enetworks.com", "email": "", "access_key": "YGLPHAYAMPO69JRLMJNL", "secret_key": null, "is_default": false, "disabled": false, "tag": "test" } ], "role_name": "Bucket Admin"}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/storage/bucket_perms/", params={"bucket_name": "<BUCKET_NAME>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "users": [ { "id": 12345, "my_account_id": None, "user_name": "admin@e2enetworks.com", "email": "", "access_key": "YGLPHAYAMPO69JRLMJNL", "secret_key": None, "is_default": False, "disabled": False, "tag": "test", }, ], "role_name": "Bucket Admin", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/storage/bucket_perms/");url.search = new URLSearchParams({ bucket_name: "<BUCKET_NAME>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "users": [ { "id": 12345, "my_account_id": null, "user_name": "admin@e2enetworks.com", "email": "", "access_key": "YGLPHAYAMPO69JRLMJNL", "secret_key": null, "is_default": false, "disabled": false, "tag": "test" } ], "role_name": "Bucket Admin" }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”bucket_name
required
string
Bucket Name
project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Body
Section titled “Request Body”Media typeapplication/json
object
users
Array<object>
object
id
integer
Example
12345my_account_id
integer
Example
nulluser_name
string
Example
admin@e2enetworks.comemail
string
Example
access_key
string
Example
YGLPHAYAMPO69JRLMJNLsecret_key
string
Example
nullis_default
boolean
Example
falsedisabled
boolean
Example
falsetag
string
Example
testrole_name
string
Example
Bucket AdminResponses
Section titled “Responses”List of users assigned to a bucket
Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
user
object
id
integer
my_account_id
integer
user_name
string
email
string
access_key
string
secret_key
string
is_default
boolean
disabled
boolean
tag
string
role
object
id
integer
name
string
display_name
string
active
boolean
deleted
boolean
created_at
string format: date-time
updated_at
string format: date-time
processed
boolean
processed_on
string
disabled
boolean
date_disabled
string
location
string
bucket
integer
errors
object
message
string
Example
{ "code": 200, "data": [ { "id": 12345, "user": { "id": 123, "my_account_id": null, "user_name": "admin@e2enetworks.com", "email": "admin@e2enetworks.com", "access_key": "ABC123XYZ456LMNOP789", "secret_key": null, "is_default": false, "disabled": false, "tag": "internal" }, "role": { "id": 1, "name": "Bucket Admin", "display_name": "Bucket Admin", "active": true }, "deleted": false, "created_at": "2025-01-01T10:00:00Z", "updated_at": "2025-01-01T10:05:00Z", "processed": true, "processed_on": null, "disabled": false, "date_disabled": null, "location": "New York", "bucket": 54321 } ], "errors": {}, "message": "Success"}